﻿@model eCommerce.Services.Model.Customer
     
@{
    ViewBag.Title = "Registrate";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<main id="authentication">
    <div class="register-content">
        <div class="user-info">
            <h2>Registrate</h2>


            @using (Html.BeginForm("Register", "Account", FormMethod.Post, new { @id = "RegisterForm", @class = "register-form cf-style-1", @autocomplete = "off" }))
            {
                @Html.AntiForgeryToken()
                @Html.Hidden("UserType", Model.UserType)

                <div class="field-row">
                    <div class="__register-input">
                        <label>Nombre </label>
                        <input type="text" class="__form-input" name="Name" value="" required>
                    </div>
                    <div class="__register-input">
                        <label>Apellido </label>
                        <input type="text" class="__form-input" name="Surname" value="" required>
                    </div>
                    <div class="__register-input">
                        <label>Email</label>
                        <input type="email" class="__form-input" name="Email" value="" required>
                    </div>
                </div>
                <div class="field-row">
                    <div class="__register-input">
                        <label>Contraseña</label>
                        <input type="password" name="Password" class="__form-input" required>
                    </div>
                </div>
                <div class="field-row">
                    <div class="__register-input">
                        <label>Teléfono*</label>
                        <input type="text" name="Cellphone" class="__form-input" required>
                    </div>
                </div>
                <div class="field-row">
                    <div class="__register-input">
                        <label>DNI/CUIT*</label>
                        <input type="text" name="Dni" class="__form-input" required>
                    </div>
                </div>
                <div class="field-row">
                    <div class="__register-input">
                        <label>Provincia</label>
                        <select name="ProvinceId" class="__form-input" required>
                            @foreach (var province in (SelectList)TempData["Provinces"])
                            {
                                <option value="@province.Value" @(province.Selected ? "selected" : string.Empty)>@province.Text</option>
                            }
                        </select>
                    </div>
                    
                    
                </div>
                <div class="field-row">
                    <div class="__register-input">
                        <label>Localidad*</label>
                        <input type="text" name="City" class="__form-input" required>
                    </div>
                </div>
                <div>
                    <button type="submit" class="button button-register js-register">Registrarme</button>
                </div>
                @*<div class="social-auth-buttons" style="padding:0px 0 5px 0;">
                <div class="row">
                    <div class="col-md-12">
                        <button class="btn-block btn-lg btn btn-facebook" id="btnFacebookLogin" onclick="checkLoginState()">
                        <i class="fa fa-facebook"></i> Ingresar con Facebook</button>
                    </div>
                </div>
            </div>*@
            }
        </div>
    </div>
</main>

@section Scripts{

<script>

    $(document).ready(function () {
        initializeForm();
    });

    function initializeForm() {
        var pathArray = window.location.pathname.split('/');
        var storeRoot = "/" + pathArray[1];

        var $form = $('#RegisterForm');
        $form.attr('action',"/Account/Register");
    }

    var validCUIT = false;

    $('.js-cuit').change(function () {
        validCUIT = false;
        debugger;
        $('.js-cuit').addClass('__form-input--invalid');
    });

    $('.js-cuit').on('blur', function () {
        var cuit = $(this).val();
        if (cuit.length < 13)
            return false;

        if (!validCUIT) {
            $.ajax({
                type: "GET",
                cache: false,
                url: "/Account/ValidateCUIT",
                data: { CUIT: cuit },
                success: function (data) {
                    validCUIT = data.Valid;
                    if (!validCUIT) {
                        $('.js-cuit').addClass('__form-input--invalid');
                        toastr.warning('El CUIT ingresado no es válido.');
                    } else {
                        $('.js-cuit').removeClass('__form-input--invalid');
                    }
                }
            });
        }
    });
</script>

<script src="~/Scripts/Facebook.js" type="text/javascript"></script>
<script>
    function statusChangeCallback(response)
    {
        console.log('statusChangeCallback');
        console.log(response);

        if (response.status === 'connected') {
            window.location.href = '/Account/FacebookLogin?uid=' + response.authResponse.userID + '&accessToken=' + response.authResponse.accessToken;
        }
        else if (response.status === 'not_authorized') {
            fb_login();
        }
        else {
            fb_login();
        }
    }

    function checkLoginState()
    {
        FB.getLoginStatus(function (response) {
            statusChangeCallback(response);
        });
    }

    window.fbAsyncInit = function () {
        FB.init({
            appId: '@System.Configuration.ConfigurationManager.AppSettings.Get("AppId")',
            cookie: true,  // enable cookies to allow the server to access the session
            xfbml: true,  // parse social plugins on this page
            version: 'v2.2' // use version 2.2
        });
    };

    // Load the SDK asynchronously
    (function (d, s, id) {
        var js, fjs = d.getElementsByTagName(s)[0];
        if (d.getElementById(id)) return;
        js = d.createElement(s); js.id = id;
        js.src = "//connect.facebook.net/en_US/sdk.js";
        fjs.parentNode.insertBefore(js, fjs);
    }(document, 'script', 'facebook-jssdk'));

    function fb_login() {
        FB.login(function () {
            //checkLoginState();
        }, { scope: 'email,public_profile', return_scopes: true });
        //FB.login(function () { }, { scope: 'email,public_profile,user_friends', return_scopes: true });
    }

    $('#btnFacebookLogin').click(function () {
        checkLoginState();
    });

</script>


    
}
